Package com.google.earth.kml._2

# Class LatLonAltBoxType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.LatLonBoxType
com.google.earth.kml._2.LatLonAltBoxType

public class LatLonAltBoxType extends LatLonBoxType
<p>Java class for LatLonAltBoxType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="LatLonAltBoxType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}LatLonBoxType"> <sequence> <element name="minAltitude" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/> <element name="maxAltitude" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/> <element name="altitudeMode" type="{http://earth.google.com/kml/2.1}altitudeModeEnum" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected AltitudeModeEnum`
  `altitudeMode`
  `protected Double`
  `maxAltitude`
  `protected Double`
  `minAltitude`

  ### Fields inherited from class com.google.earth.kml._2.LatLonBoxType

  `east, north, rotation, south, west`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LatLonAltBoxType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AltitudeModeEnum`
  `getAltitudeMode()`
  Gets the value of the altitudeMode property.
  `Double`
  `getMaxAltitude()`
  Gets the value of the maxAltitude property.
  `Double`
  `getMinAltitude()`
  Gets the value of the minAltitude property.
  `void`
  `setAltitudeMode(AltitudeModeEnum value)`
  Sets the value of the altitudeMode property.
  `void`
  `setMaxAltitude(Double value)`
  Sets the value of the maxAltitude property.
  `void`
  `setMinAltitude(Double value)`
  Sets the value of the minAltitude property.

  ### Methods inherited from class com.google.earth.kml._2.LatLonBoxType

  `getEast, getNorth, getRotation, getSouth, getWest, setEast, setNorth, setRotation, setSouth, setWest`

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### minAltitude

    protected Double minAltitude

  - ### maxAltitude

    protected Double maxAltitude

  - ### altitudeMode

    protected AltitudeModeEnum altitudeMode

- ## Constructor Details

  - ### LatLonAltBoxType

    public LatLonAltBoxType()

- ## Method Details

  - ### getMinAltitude

    public Double getMinAltitude()
    Gets the value of the minAltitude property.
    Returns:
      possible object is `Double`

  - ### setMinAltitude

    public void setMinAltitude(Double value)
    Sets the value of the minAltitude property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getMaxAltitude

    public Double getMaxAltitude()
    Gets the value of the maxAltitude property.
    Returns:
      possible object is `Double`

  - ### setMaxAltitude

    public void setMaxAltitude(Double value)
    Sets the value of the maxAltitude property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getAltitudeMode

    public AltitudeModeEnum getAltitudeMode()
    Gets the value of the altitudeMode property.
    Returns:
      possible object is `AltitudeModeEnum`

  - ### setAltitudeMode

    public void setAltitudeMode(AltitudeModeEnum value)
    Sets the value of the altitudeMode property.
    Parameters:
      `value` - allowed object is `AltitudeModeEnum`